"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.stripExportPath = exports.prependExportPath = void 0;
var _constants = require("../../constants");
const stripExportPath = key => {
  return key.replace(_constants.EXPORT_BASE_PATH, "").replace(/^\/+/, "");
};
exports.stripExportPath = stripExportPath;
const prependExportPath = key => {
  return `${_constants.EXPORT_BASE_PATH}/${key.replace(/^\/+/, "")}`;
};
exports.prependExportPath = prependExportPath;

//# sourceMappingURL=exportPath.js.map